Query Volunteer Opportunities
curl --request POST \
--url https://api.virtuoussoftware.com/api/VolunteerOpportunity/Query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"groups": [
{
"conditions": [
{
"parameter": "string",
"operator": "string",
"value": "string",
"secondaryValue": "string",
"values": [
"string"
]
}
]
}
],
"sortBy": "string",
"descending": false
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
groups: [
{
conditions: [
{
parameter: 'string',
operator: 'string',
value: 'string',
secondaryValue: 'string',
values: ['string']
}
]
}
],
sortBy: 'string',
descending: false
})
};
fetch('https://api.virtuoussoftware.com/api/VolunteerOpportunity/Query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/VolunteerOpportunity/Query"
payload = {
"groups": [{ "conditions": [
{
"parameter": "string",
"operator": "string",
"value": "string",
"secondaryValue": "string",
"values": ["string"]
}
] }],
"sortBy": "string",
"descending": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/VolunteerOpportunity/Query");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"groups\": [\n {\n \"conditions\": [\n {\n \"parameter\": \"string\",\n \"operator\": \"string\",\n \"value\": \"string\",\n \"secondaryValue\": \"string\",\n \"values\": [\n \"string\"\n ]\n }\n ]\n }\n ],\n \"sortBy\": \"string\",\n \"descending\": false\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/VolunteerOpportunity/Query';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
groups: [
{
conditions: [
{
parameter: 'string',
operator: 'string',
value: 'string',
secondaryValue: 'string',
values: ['string']
}
]
}
],
sortBy: 'string',
descending: false
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"list": [
{
"id": 1,
"name": "Sunday Soup Kitchen",
"url": "https://soupkitchen.org/sunday",
"description": "Come on out to our soup kitchen and pitch in!",
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>",
"anytime": false,
"startDateTime": "3/27/2022 12:00 PM",
"endDateTime": "3/27/2022 6:00 PM",
"timeZone": "US/Arizona",
"isActive": true,
"isLocalOnly": true,
"currentPriority": "Medium",
"currentNeed": 20,
"preferredNumberOfHours": 20,
"anywhere": false,
"locationName": "Downtown Soup Kitchen",
"address1": "123 Nowhere Ave",
"address2": "Suite 200",
"city": "Phoenix",
"state": "AZ",
"postal": "85004",
"country": "US",
"totalVolunteers": 0,
"totalVolunteerHours": 0,
"currentNeedFilledPercentage": 0,
"hoursFilledPercentage": 0,
"volunteerOrganizers": [
{
"id": 1,
"contactId": 122,
"contactIndividualId": 134,
"displayName": "Bob Loblaw",
"firstName": "Bob",
"avatarUrl": null,
"primaryPhone": "555-555-5555",
"primaryEmail": "bob@loblaw.org",
"contactUrl": "https://api.virtuoussoftware.com/api/Contact/122",
"volunteerOrganizerUrl": "https://api.virtuoussoftware.com/api/VolunteerOpportunity/1/Organizers/1",
"volunteerOpportunityUrl": "https://api.virtuoussoftware.com/api/VolunteerOpportunity/1"
}
],
"volunteerOpportunityUrl": "https://api.virtuoussoftware.com/api/VolunteerOpportunity/1",
"volunteerOrganizersUrl": "https://api.virtuoussoftware.com/api/VolunteerOpportunity/1/Organizers/1",
"volunteersUrl": "https://api.virtuoussoftware.com/api/VolunteerOpportunity/1/Volunteers",
"customFields": [
{
"name": "Meal Options",
"value": "Soup and Salad for Lunch, Pizza for Dinner",
"displayName": "What meal options will be available?"
}
]
}
],
"total": 1
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Volunteering
Query Volunteer Opportunities
Returns the volunteer opportunities that match the conditions in the request body. To see which options can be sent, use the Get Volunteer Opportunity Query Options endpoint.
POST
/
api
/
VolunteerOpportunity
/
Query
Query Volunteer Opportunities
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Last modified on August 11, 2026
Was this page helpful?
⌘I